#### PyKDE - Python Bindings for KDE

# class KShellCompletion |
Table of contents
Modules
tdeio Classes
All Classes

Module | tdeio
Class | KShellCompletion
Inherits | KURLCompletion

### methods

- KShellCompletion ()

  returns a KShellCompletion instance

- makeCompletion (text)

  returns (TQString)
  Argument | Type | Default
  --- | --- | ---
  text | TQString |

- postProcessMatch (match)

  returns nothing
  Argument | Type | Default
  --- | --- | ---
  match | TQString |

- postProcessMatches (matches)

  returns nothing
  Argument | Type | Default
  --- | --- | ---
  matches | TQStringList |

- postProcessMatches (matches)

  Not Implemented